MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024050Community[OCCT] OCCT:Visualizationpublic2013-06-27 15:482013-12-19 13:56
ReporterPawel 
Assigned ToPawel 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformAOSLOS VersionL
Product Version[OCCT] 6.6.0 
Target Version[OCCT] 6.7.0Fixed in Version[OCCT] 6.7.0 
Summary0024050: Voxel_FastConverter::Convert / ConvertUsingSAT - problems in multithreaded scenario
DescriptionBoth methods mentioned above use the following code to judge which triangles to process in the specified thread:

start_thread_triangle = (ithread - 1) * (myNbTriangles / myNbThreads) + 1;
end_thread_triangle = (ithread - 0) * (myNbTriangles / myNbThreads);

That code gives incorrect results for some cases due to the fact that the computation is carried out on integer numbers, e.g.:

myNbTriangles = 12; //Box
myNbThreads = 8;

(myNbTriangles / myNbThreads) always yields 1 and so the triangle 9 to 12 are never processed.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0024905)
Pawel (developer)
2013-06-27 20:37

Branch CR24050 pushed. Please review.
(0024920)
mkv (tester)
2013-07-01 10:17

Dear BugMaster,

Branch CR24050 (and products from GIT master) was compiled on Linux and Windows platforms and tested.
SHA-1: 80985adb13c39e6b1ccc1f5756659a2cf38d9914

Number of compiler warnings:

occt component :
Linux: 2 (2 on master)
Windows: 7 (7 on master)

products component :
Linux: 0 (0 on master)
Windows: 63 (63 on master)

Regressions:
No regressions

Improvements:
No improvements

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 366479568 / 366290416
Total CPU difference: 42713.9700000004 / 43406.39000000102

Testing on Windows:
Total MEMORY difference: 419173696 / 421068392
Total CPU difference: 34917.359375 / 42645.65625

There are not differences in images found by testdiff.

- Related Changesets
occt: master 03679c48
Timestamp: 2013-07-04 09:12:27
Author: Pawel
Details ] Diff ]
0024050: Voxel_FastConverter::Convert / ConvertUsingSAT - problems in multithreaded scenario

Computing triangle spans using integer numbers.
mod - src/Voxel/Voxel_FastConverter.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2013-06-27 15:48 Pawel New Issue
2013-06-27 15:48 Pawel Assigned To => Pawel
2013-06-27 20:37 Pawel Note Added: 0024905
2013-06-27 20:37 Pawel Assigned To Pawel => vro
2013-06-27 20:37 Pawel Status new => resolved
2013-06-28 10:18 vro Status resolved => reviewed
2013-06-28 10:46 mkv Assigned To vro => mkv
2013-06-28 11:27 Pawel Description Updated View Revisions
2013-07-01 10:17 mkv Note Added: 0024920
2013-07-01 10:17 mkv Test case number => Not needed
2013-07-01 10:17 mkv Assigned To mkv => bugmaster
2013-07-01 10:17 mkv Status reviewed => tested
2013-07-05 11:57 Pawel Changeset attached => occt master 03679c48
2013-07-05 11:57 Pawel Assigned To bugmaster => Pawel
2013-07-05 11:57 Pawel Status tested => verified
2013-07-05 11:57 Pawel Resolution open => fixed
2013-12-19 13:53 bugmaster Status verified => closed
2013-12-19 13:56 bugmaster Fixed in Version => 6.7.0


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker